Bug 233587 - flip-flop test case: usr.bin.procstat.procstat_test.command_line_arguments
Summary: flip-flop test case: usr.bin.procstat.procstat_test.command_line_arguments
Status: In Progress
Alias: None
Product: Base System
Classification: Unclassified
Component: tests (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Jilles Tjoelker
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-27 22:45 UTC by Li-Wen Hsu
Modified: 2019-09-18 19:29 UTC (History)
2 users (show)

See Also:
jilles: mfc-stable11?
jilles: mfc-stable12?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 commit-hook freebsd_committer 2018-12-06 09:23:40 UTC
A commit references this bug:

Author: lwhsu
Date: Thu Dec  6 09:22:36 UTC 2018
New revision: 341623
URL: https://svnweb.freebsd.org/changeset/base/341623

Log:
  Temporarily skip flakey test cases

  PR:		233586, 233587, 233588
  Approved by:	markj (mentor)
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D18362

Changes:
  head/tests/sys/kqueue/libkqueue/kqueue_test.sh
  head/usr.bin/procstat/tests/procstat_test.sh
Comment 2 commit-hook freebsd_committer 2019-09-04 16:26:10 UTC
A commit references this bug:

Author: jilles
Date: Wed Sep  4 16:25:42 UTC 2019
New revision: 351819
URL: https://svnweb.freebsd.org/changeset/base/351819

Log:
  procstat/tests: Fix flakiness by waiting for program to start

  Some of the procstat tests start a program "while1" and examine the process
  using procstat, but did not wait properly for it to start (kill -0 will
  succeed immediately after the child process has been created).

  Instead, have "while1" write something when it starts, and use a fifo to
  wait for that.

  PR:		233587, 233588
  Reviewed by:	ngie
  MFC after:	1 week
  Differential Revision:	https://reviews.freebsd.org/D21519

Changes:
  head/usr.bin/procstat/tests/procstat_test.sh
  head/usr.bin/procstat/tests/while1.c
Comment 3 Jilles Tjoelker freebsd_committer 2019-09-04 16:34:43 UTC
Fixed in head; MFC pending
Comment 4 commit-hook freebsd_committer 2019-09-18 19:22:17 UTC
A commit references this bug:

Author: jilles
Date: Wed Sep 18 19:21:20 UTC 2019
New revision: 352491
URL: https://svnweb.freebsd.org/changeset/base/352491

Log:
  MFC r351819: procstat/tests: Fix flakiness by waiting for program to start

  Some of the procstat tests start a program "while1" and examine the process
  using procstat, but did not wait properly for it to start (kill -0 will
  succeed immediately after the child process has been created).

  Instead, have "while1" write something when it starts, and use a fifo to
  wait for that.

  PR:		233587, 233588

Changes:
_U  stable/12/
  stable/12/usr.bin/procstat/tests/procstat_test.sh
  stable/12/usr.bin/procstat/tests/while1.c
Comment 5 commit-hook freebsd_committer 2019-09-18 19:29:08 UTC
A commit references this bug:

Author: jilles
Date: Wed Sep 18 19:28:18 UTC 2019
New revision: 352492
URL: https://svnweb.freebsd.org/changeset/base/352492

Log:
  MFC r351819: procstat/tests: Fix flakiness by waiting for program to start

  Some of the procstat tests start a program "while1" and examine the process
  using procstat, but did not wait properly for it to start (kill -0 will
  succeed immediately after the child process has been created).

  Instead, have "while1" write something when it starts, and use a fifo to
  wait for that.

  PR:		233587, 233588

Changes:
_U  stable/11/
  stable/11/usr.bin/procstat/tests/procstat_test.sh
  stable/11/usr.bin/procstat/tests/while1.c